schema_version: 0.3
type: consumer
identifier: rtaudio
title: RtAudio
description: >
  RtAudio provides native, realtime audio output across Linux,
  Macintosh OS X, Windows, and some BSD operating systems.
url: http://www.music.mcgill.ca/~gary/rtaudio/
version: 2
copyright: Meltytech, LLC
creator: Dan Dennedy
creator: Gary P. Scavone
license: LGPLv2.1
language: en
tags:
  - Audio
parameters:
  - identifier: resource
    title: Device
    description: An optional device name, number, or ID to use.
    type: string
    required: no
    argument: yes

  - identifier: audio_buffer
    title: Audio buffer
    type: integer
    minimum: 256
    maximum: 8192
    default: 1024
    unit: samples

  - identifier: volume
    title: Volume
    type: float
    minimum: 0.0
    default: 1.0
    mutable: yes

  - identifier: refresh
    description: >
      Applications should set this to update the video frame when paused.
    type: boolean
    minimum: 0
    maximum: 1

  - identifier: scrub_audio
    title: Audio scrubbing
    type: boolean
    description: If enabled, sound is played even when the speed is not normal.
    mutable: yes
    minimum: 0
    maximum: 1
    default: 0
    widget: checkbox

  - identifier: video_delay
    title: Video delay
    mutable: no
    type: integer
    unit: milliseconds
    default: 0
